package dev.fitko.fitconnect.core.http;

import okhttp3.Interceptor;
import okhttp3.Request;
import okhttp3.Response;
import org.jetbrains.annotations.NotNull;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;

import java.io.IOException;

/**
 * Intercepts HTTP calls and logs the request url
 */
public class ApiRequestInterceptor implements Interceptor {

    private static final Logger LOGGER = LoggerFactory.getLogger(ApiRequestInterceptor.class);

    @NotNull
    @Override
    public Response intercept(@NotNull Chain chain) throws IOException {

        Request request = chain.request();
        LOGGER.info("{}", request.url());

        return chain.proceed(request);
    }
}
